Last modified: 2013-04-22 16:16:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43129 - Create Wikisource Assamese
Create Wikisource Assamese
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Normal enhancement (vote)
: ---
Assigned To: Sam Reed (reedy)
//meta.wikimedia.org/wiki/Requests_fo...
: shell
Depends on:
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2012-12-14 15:48 UTC by MF-Warburg
Modified: 2013-04-22 16:16 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description MF-Warburg 2012-12-14 15:48:38 UTC
The language committee and WMF Board have approved the creation of Wikisource Assamese.

Language code: as
Site URL: as.wikisource.org
Project name: ৱিকিউৎস
Project namespace: ৱিকিউৎস
Project talk namespace: ৱিকিউৎস বাৰ্তা
Project logo: http://commons.wikimedia.org/wiki/File:Wikisource-logo-as.png or http://commons.wikimedia.org/wiki/File:Wikisource-logo-as-3.svg
Timezone: Asia/Kolkata

Translations of the special namespace names which the Wikisource extension ProofreadPage creates are: Page = পৃষ্ঠা, Page talk = পৃষ্ঠা আলোচনা, Index = সূচী, Index talk = সূচী আলোচনা

Thank you.
Comment 1 Dereckson 2012-12-14 21:12:17 UTC
Three more configuration questions:

1. Do you want to disable TranslateNumerals (see bug 31371)?
2. Do you wish to enable Narayam, to offer users an additional input method? This could be tested on as.wikipedia.
3. Do you wish to enable WeFonts, to ease assamese alphabet rendering?
Comment 2 Dereckson 2012-12-14 22:00:13 UTC
Some more, wikisource-related:

4a. Should Page namespace be included in default search?
4b. Should Index namespace be included in default search?

5a. Should Page namespace be considered as a content namespace? Virtually all other wikisources include it.
5b. Should Index namespace be considered as a content namespace? Most other wikisources include it too. Some considers indexes are metadata and so choose not to.

A content namespace is a namespace:
- with pages included in wiki articles count
- with pages being returnable by [[Special:Random]]
- without the possibility to set __NOINDEX__ to avoid browser indexing.
Comment 3 Bishnu Saikia 2012-12-15 20:20:56 UTC
(In reply to comment #1)


In my opinion:

1. We need not to disable TranslateNumerals.
2. Yes, I wish to enable Narayam.
3. Yes, I want to enable WebFonts, to ease assamese alphabet rendering.
Comment 4 Bishnu Saikia 2012-12-15 20:24:15 UTC
(In reply to comment #2)

4a. Yes.
4b. Yes.
5a. Yes.
5b. Yes.
Comment 5 Tpt 2012-12-15 20:30:53 UTC
@Dereckson: I have created a patch to make Proofread Page directly create page and index namespaces for this future as Wikisource. https://gerrit.wikimedia.org/r/#/c/38830/ The ids are 250 for page and 252 for index. So it won't be needed to create theses namespaces in the wiki configuration.
Comment 6 Dereckson 2012-12-17 21:44:12 UTC
To keep indexes harmonization, we'll keep the growing wikisource standard 104/106, especially as there is still not global variables as NS_PAGE or NS_INDEX.

A discussion on IRC highlighted the fact at one moment it could be interesting to in renumber namespaces from every wiki in batch to harmonize the standard namespaces imagined by the community.

* * *

Gerrit patch 38801
Comment 7 Sam Reed (reedy) 2013-01-03 19:20:11 UTC
Done
Comment 8 Bishnu Saikia 2013-01-04 05:35:22 UTC
Thanks a lot to all.
Comment 9 Dereckson 2013-01-04 06:06:13 UTC
You're welcome.

I wish you a successful project.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links